GET stops
Operation ID: ApiWeb.StopController.index
Auth: unknown
Parameters (15)
(string, query, optional)
Fields to include with the response. Multiple fields **MUST** be a comma-separated (U+002C COMMA, ",") list. Note that fields can also be selected for included data types: see the [V3 API Best Practices](https://www.mbta.com/developers/v3-api/best-practices) for an example.
(string, query, optional)
Filter by date when stop is in use. Will be ignored unless filter[route] is present. If filter[service] is present, this filter will be ignored. The active date is the service date. Trips that begin between midnight and 3am are considered part of the previous service day. The format is ISO8601 with ...
(string, query, optional)
Filter by direction of travel along the route. Must be used in conjuction with `filter[route]` to apply. The meaning of `direction_id` varies based on the route. You can programmatically get the direction names from `/routes` `/data/{index}/attributes/direction_names` or `/routes/{id}` `/data/attri...
Constraints: {'enum': ['0', '1']}
(string, query, optional)
Filter by `/data/{index}/id` (the stop ID). Multiple `/data/{index}/id` **MUST** be a comma-separated (U+002C COMMA, ",") list.
(string, query, optional)
Latitude in degrees North in the [WGS-84](https://en.wikipedia.org/wiki/World_Geodetic_System#A_new_World_Geodetic_System:_WGS.C2.A084) coordinate system to search `filter[radius]` degrees around with `filter[longitude]`.
(string, query, optional)
Filter by location_type https://github.com/mbta/gtfs-documentation/blob/master/reference/gtfs.md#stopstxt. Multiple location_type **MUST** be a comma-separated (U+002C COMMA, ",") list.
(string, query, optional)
Longitude in degrees East in the [WGS-84](https://en.wikipedia.org/wiki/World_Geodetic_System#Longitudes_on_WGS.C2.A084) coordinate system to search `filter[radius]` degrees around with `filter[latitude]`.
(number, query, optional)
The distance is in degrees as if latitude and longitude were on a flat 2D plane and normal Pythagorean distance was calculated. Over the region MBTA serves, `0.02` degrees is approximately `1` mile. Defaults to `0.01` degrees (approximately a half mile).
(string, query, optional)
Filter by `/data/{index}/relationships/route/data/id`. Multiple IDs **MUST** be a comma-separated (U+002C COMMA, ",") list.
(string, query, optional)
Filter by route_type: https://gtfs.org/documentation/schedule/reference/#routestxt. Multiple `route_type` **MUST** be a comma-separated (U+002C COMMA, ",") list.
Constraints: {'enum': ['0', '1', '2', '3', '4']}
(string, query, optional)
Filter by service_id for which stop is in use. Multiple service_ids **MUST** be a comma-separated (U+002C COMMA, ",") list.
(string, query, optional)
Relationships to include. * `child_stops` * `connecting_stops` * `facilities` * `parent_station` * `route` The value of the include parameter **MUST** be a comma-separated (U+002C COMMA, ",") list of relationship paths. A relationship path is a dot-separated (U+002E FULL-STOP, ".") list of relatio...
(integer, query, optional)
Max number of elements to return
(integer, query, optional)
Offset (0-based) of first element in the page
(string, query, optional)
Results can be [sorted](http://jsonapi.org/format/#fetching-sorting) by the id or any `/data/{index}/attributes` key. Sorting by distance requires `filter[latitude]` and `filter[longitude]` to be set. Assumes ascending; may be prefixed with '-' for descending. | JSON pointer | Direction | `sort` ...
Constraints: {'enum': ['address', '-address', 'at_street', '-at_street', 'description', '-description', 'latitude', '-latitude', 'location_type', '-location_type', 'longitude', '-longitude', 'municipality', '-municipality', 'name', '-name', 'on_street', '-on_street', 'platform_code', '-platform_code', 'platform_name', '-platform_name', 'vehicle_type', '-vehicle_type', 'wheelchair_boarding', '-wheelchair_boarding', 'distance', '-distance']}
Examples (1)
| Title | Type | URL | Action |
|---|---|---|---|
| GET /stops | probe-gate |
https://api-v3.mbta.com/stops |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-22T12:38:41.358494 | 200 | 2123ms |